player_imu_data_euler Struct Reference

Data: Euler orientation data (PLAYER_IMU_DATA_EULER) More...

`#include <player_interfaces.h>`

## Public Attributes

player_imu_data_calib_t | calib_data
| Calibrated IMU data (accel, gyro, magnetometer)
player_orientation_3d_t | orientation
| Orientation data as Euler angles.

## Detailed Description

Data: Euler orientation data (PLAYER_IMU_DATA_EULER)

The `imu` interface returns calibrated IMU values as well as orientation data as Euler angles.

The documentation for this struct was generated from the following file:

- player_interfaces.h

Last updated 12 September 2005 21:38:45